[arch-commits] Commit in gtkam/repos (3 files)

Jan de Groot jgc at archlinux.org
Thu May 28 18:13:51 EDT 2009


    Date: Thursday, May 28, 2009 @ 18:13:51
  Author: jgc
Revision: 40224

Merged revisions 5511,40219 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gtkam/trunk

........
  r5511 | allan | 2008-07-17 15:58:48 +0200 (Thu, 17 Jul 2008) | 1 line
  
  upgpkg: gtkam 0.1.15-1
........
  r40219 | jgc | 2009-05-29 00:10:06 +0200 (Fri, 29 May 2009) | 2 lines
  
  upgpkg: gtkam 0.1.16.1-1
      Clean up a bit
........

Modified:
  gtkam/repos/extra-i686/	(properties)
  gtkam/repos/extra-i686/PKGBUILD
Deleted:
  gtkam/repos/extra-i686/gtkam.install

---------------+
 PKGBUILD      |   19 +++++++++++--------
 gtkam.install |   27 ---------------------------
 2 files changed, 11 insertions(+), 35 deletions(-)


Property changes on: gtkam/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gtkam/trunk:1-5502
   + /gtkam/trunk:1-40223

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-28 22:11:33 UTC (rev 40223)
+++ extra-i686/PKGBUILD	2009-05-28 22:13:51 UTC (rev 40224)
@@ -1,21 +1,24 @@
+# $Id: $
 # Maintainer: Eduardo Romero <eduardo at archlinux.org>
 
 pkgname=gtkam
-pkgver=0.1.15
+pkgver=0.1.16.1
 pkgrel=1
 pkgdesc="A graphical front-end to gPhoto for GNOME"
 url="http://gphoto.sourceforge.net/proj/gtkam/"
-arch=(i686)
-depends=('libgphoto2' 'libexif-gtk')
+arch=('i686' 'x86_64')
+depends=('libgphoto2>=2.4.6' 'libexif-gtk')
 makedepends=('gimp')
 license=('GPL')
-install=gtkam.install
 source=(http://downloads.sourceforge.net/sourceforge/gphoto/$pkgname-$pkgver.tar.gz)
-md5sums=('6278447dd2f6352809d5378bb88555fc')
+md5sums=('a701a26947e134d883ba8eef0beb7461')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --without-bonobo --without-gnome
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+    --without-bonobo --without-gnome \
+    --disable-scrollkeeper || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  sed -i -e 's/^_//' "${pkgdir}/usr/share/applications/gtkam.desktop" || return 1
 }

Deleted: extra-i686/gtkam.install
===================================================================
--- extra-i686/gtkam.install	2009-05-28 22:11:33 UTC (rev 40223)
+++ extra-i686/gtkam.install	2009-05-28 22:13:51 UTC (rev 40224)
@@ -1,27 +0,0 @@
-# arg 1:  the new package version
-post_install() {
-  scrollkeeper-update -p var/lib/scrollkeeper
-  /bin/true
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  scrollkeeper-update -p var/lib/scrollkeeper
-  /bin/true
-}
-
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-# arg 1:  the old package version
-post_remove() {
-  scrollkeeper-update -p var/lib/scrollkeeper
-  /bin/true
-}
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list